			MINIX INFORMATION SHEET

1. WHAT IS MINIX 1.5
     MINIX 1.5 is a new version of an operating system that is very similar to
UNIX.  MINIX has been written from scratch, and therefore does not contain any
AT&T code--not in the kernel, the compiler, the utilities, or the libraries.
For this reason it can be made available with the complete source code
(on diskette).  It runs on the IBM PC, XT, AT, PS/2, 386, and most clones.
Versions are also available for the Atari ST, Macintosh, Amiga and Sun
SparcStation.

     This version (1.5) is a major improvement over all previous releases, with
many new features, fewer bugs (hopefully), much better performance, and
proper documentation. The old versions have been in widespread use all over
the world for 3 years.  There are probably tens of thousands of users.


2. MINIX 1.5 FEATURES (IBM, Macintosh, Atari, Amiga and SparcStation versions)
  - System call compatible with V7 of the UNIX operating system
  - Full multiprogramming (multiple programs can run at once)
  - Kernighan and Ritchie compatible C compiler
  - Shell that is functionally identical to the Bourne shell
  - Five editors (emacs subset, vi clone, ex, ed, and simple screen editor)
  - Over 175 utilities (cat, cp, ed, grep, kermit, ls, make, sort, etc.)
  - Over 200 library procedures (atoi, fork, malloc, read, stdio, etc.)
  - Spelling checker with 40,000 word English dictionary
  - Full source code (in C) supplied on diskettes (OS, utilities, libraries)
  - Easy-to-read manual telling all about MINIX and how to install and use it


3. ADDITIONAL FEATURES
     In addition to the above features, there are other features present in
some (but not all) versions of MINIX 1.5.  Some of these are listed below.

3.1 ADDITIONAL MINIX 1.5 FEATURES (IBM VERSION):
  - Runs in protected mode on 286 and 386
  - Support for extended memory up to 16M on 286 and 386
  - Up to 3 simultaneous users on one machine
  - RS-232 serial line support with terminal emulation, kermit, zmodem, etc.
  - Distributed computing on Ethernet (remote login, etc.)

3.2 ADDITIONAL MINIX 1.5 FEATURES (MACINTOSH VERSION):
  - Up to 3 simultaneous users on one machine
  - RS-232 serial line support with terminal emulation, kermit, zmodem, etc.
  - Runs under Multifinder
  - Includes support for multiple user windows

3.3 ADDITIONAL MINIX 1.5 FEATURES (ATARI ST VERSION)
  - Up to 2 simultaneous users on one machine
  - RS-232 serial line support with terminal emulation, kermit, zmodem, etc.
  - Support for various real time clocks (Mega, BMS, ICD, Supra, Weide)

3.4 ADDITIONAL MINIX 1.5 FEATURES (SUN SPARCSTATION VERSION)
  - Native operating system. Runs on bare SparcStation hardware.
  - Up to 3 simultaneous users on one machine
  - RS-232 serial line support with terminal emulation, kermit, zmodem, etc.
  - Multi-windowed display driver
  - ANSI compatible GNU C compiler


4. HARDWARE REQUIRED
  - IBM:        PC, XT, AT, PS/2, or 386 that is 100% hardware compatible with 
                the IBM line.  A hard disk not technically required, but is 
                strongly recommended to take full advantage of the system.  At 
                least 512K of RAM is required, as well as a CGA, EGA, 
                monochrome, or Hercules video card, or another card that
                emulates one of these.  Both 5.25" and 3.5" diskettes are 
                supported, as are printers using the parallel port and modems
                and terminals using the serial port.

  - Macintosh:  Apple Macintosh Plus, SE, SE/30, II, IIcx, or IIx with at
		least 1M of RAM.  An additional 1M of RAM and a hard disk
                is strongly recommended.  MINIX has been tested primarily
	        with version 6.0 and latter of the Apple system software.  
		Problems may conceivably arise with earlier versions. Any
		hard disk or display that is supported by the normal Macintosh
		OS is also supported by MINIX.

  - Atari:      Atari ST or Mega ST with at least 1M of RAM.  Although the
                system will boot with only 512K, you will be very restricted
                in what you can do.  A 720K diskette drive is required to 
                install the software.  The older 360K diskette drives are 
                supported, but are not capable of reading the (720K) 
                distribution disks. A hard disk is supported, but is optional.
                Some of the Supra hard disks are not Atari compatible, which 
                can cause problems.  A fix is available from the MINIX Centre.

  - Amiga:      Commodore Amiga 500 or 2000 with at least 1M of RAM. One  720K
                diskette drive is sufficient.   A hard disk is not required
                (or even supported).  To use a hard disk with the Amiga, 
                someone familiar with how this disk works will have to write
                a driver for it.  If this driver is then posted to the net,
                it will be possible to use a hard disk with MINIX on the Amiga.
		Minix will NOT run on 68020 and larger Amiga systems.

  - Sparc:	Sun SparcStation 1, 1+ or IPC.  Does NOT run on a SparcStation
		2 and has not yet been tested on a SLC, IPX or ELC.  A floppy
		disk drive is required, a SCSI hard disk is not required but
		strongly recommended to take full advantage of the system.
		4MB RAM is sufficient to run Minix, up to 64MB is supported.
		The monochrome framebuffer (bw2) as well as a color framebuffer
		(cg3 or cg6) are supported.  SCSI hard disks can be used and
		even booted from. Ethernet, mouse and audio are not supported.
		Printers can only be connected via a serial port.

5. PARTIAL LIST OF UTILITIES INCLUDED IN MINIX 1.5
  animals ar ascii at atrun backup badblocks banner basename bawk btoa cal cat
  cdiff cgrep chgrp chip chmem chmod chown clr cmp comm compress cp cpdir
  crc cron ctags cut date dd de df dhrystone diff diskcheck dosdir dosread
  doswrite du echo ed elle ex expand expr factor fgrep file find fold fortune 
  fsck gather getlf getty grep gres head ic id ifdef indent inodes kill last
  leave ln login look lpr ls m4 machine mail make man mined mkdir mkfs mknod
  modem more mount mref mv nm nroff od passwd paste patch pr prep pretty
  printenv printroot ps pwd readall readfs recover ref rev rm rmdir roff rz
  sed shar size sleep sort spell split strings strip stty su sum sync sz tail
  tar tee term termcap test time touch tr traverse treecmp true tset tsort ttt
  umount unexpand uniq unshar update users uud uue vi vol wc whatsnew whereis
  which who whoami width write 


6. PARTIAL LIST OF LIBRARY FUNCTIONS INCLUDED IN MINIX 1.5
  abort abs access alarm atoi atol bcmp bcopy chmod chown chroot
  ctermid ctime ctype curses cuserid doprintf dup dup2 fgetc fgets fopen 
  fork fpathconf fprintf fputc fputs fread freopen fseek fstat ftell 
  fwrite getcwd getdents getegid getenv geteuid getgid getutil gtty index 
  ioctl isatty kill link lock lrand lsearch lseek malloc memccpy 
  memchr memcmp memcpy memmove memset message mkdir mkfifo mknod mktemp 
  nlist open opendir pathconf pause peekpoke perror rand read readdir 
  regexp regsub rename setbuf setgid setjmp setuid signal sleep sprintf 
  stat strerror strlen strncat strncmp strncpy strpbrk strrchr strspn 
  system telldir termcap time times tmpnam ttyname umask umount 


7. CONTENTS OF MINIX 1.5 REFERENCE MANUAL
  Chap.  1 INTRODUCTION
  Chap.  2 INSTALLING MINIX ON THE IBM PC, XT, AT, 386, AND PS/2
  Chap.  3 INSTALLING MINIX ON THE ATARI S
  Chap.  4 INSTALLING MINIX ON THE COMMODORE AMIGA
  Chap.  5 INSTALLING MINIX ON THE APPLE MACINTOSH
  Chap.  6 USING MINIX
  Chap.  7 RECOMPILING MINIX
  Chap.  8 MANUAL PAGES
  Chap.  9 EXTENDED MAN PAGES
  Chap. 10 SYSTEM CALLS
  Chap. 11 NETWORKING
  App.   A MINIX SOURCE CODE LISTING
  App.   B CROSS REFERENCE MAP


8. MINIX BOOK
     The author of MINIX, Andrew S. Tanenbaum, has written a book describing
how operating systems in general and MINIX in particular work internally.
The book describes an earlier version (and includes a source listing), but
it is still useful for understanding how MINIX works inside, even if some
details are now different.  The bibliographic information is:

     Title:      Operating Systems: Design and Implementation
     Author:     Andrew S. Tanenbaum
     Publisher:  Prentice-Hall
     ISBN:       0-13-637406-9

Paperback versions are also available in English (outside North America
only), French, Spanish, German, Italian, and Japanese.  The books can be
ordered from any bookstore.


9. MINIX DEMONSTRATION DISKS
     MINIX demonstration disks for the PC line, the Atari, the Macintosh and
the SparcStation (but for technical reasons, not the Amiga) are available.
The IBM, Atari and SparcStation versions can be obtained by anonymous FTP over
the internet.  All three can be obtained from Prentice-Hall (see below).  The
demo disks contained a very, very stripped down version of MINIX, just to give
an idea of what it can do.  The demo disk is accompanied by a 30-page manual.

     To get either free demo disk and its manual, use ftp to connect to
ftp.cs.vu.nl (192.31.231.42) and look in pub/minix.  There is a file READ_ME
that is there and tells you what is in the directory and how to use it.


10. HOW TO ORDER MINIX 1.5
     MINIX 1.5 is being sold by Prentice-Hall.  The product numbers and prices
are as follows:

  - MINIX 1.5 for the IBM: 5 1/4"   (0-13-585076-2)  $169 
  - MINIX 1.5 for the IBM: 3 1/2"   (0-13-585068-1)  $169
  - MINIX 1.5 for the Amiga	    (0-13-585043-6)  $169
  - MINIX 1.5 for the Atari	    (0-13-585035-5)  $169
  - MINIX 1.5 for the Macintosh     (0-13-585050-9)  $169
  - MINIX 1.5 for the SparcStation  (0-13-579631  )  $169

  - MINIX 1.5 IBM demo disk         (0-13-582768-x)  $10
  - MINIX 1.5 Macintosh demo disk   (0-13-582784-1)  $10
  - MINIX 1.5 Atari demo disk       (0-13-582792-2)  $10
  - MINIX 1.5 SparcStation demo disk(0-13-585232- )  $10

Sales tax and shipping are extra; Prices are slightly higher outside the U.S.

All versions include the executable binaries, a detailed manual, the complete 
source code (on diskettes), and an attractively typeset, cross-referenced
listing of the operating system code.

     P-H is making a big effort to get software stores to keep MINIX in stock.
The easiest way to order it is to go to a software store and ask them for
it.  If they don't stock it, they can always order it.  Alternatively, you
can order directly by email, FAX, phone, or mail from Prentice-Hall as follows.

In North America and the Far East
  To order by email:	books@prenhall.com
  To order by FAX:  	(515) 284-2607
  To order by phone:	(800) 624-0023 or (515) 284-6751
  To order by mail:	Prentice Hall/Paramount Publishing
			Order Processing Center
			P.O. Box 11071
			Des Moines, IO 50336-1071

In UK/Europe
  To order by email:    Not possible
  To order by FAX:      +44 442 882265
  To order by phone:    +44 442 881900 (UK number)
  To order by mail:     Order Dept.
			Simon & schuster International Group
			Campus 400
			Marylands Avenue
                        Hemel Hempstead
                        Herts. HP2 7E2 ENGLAND

For email and FAX orders, please include the product name and number, your
name and address, and your MasterCard or VISA card number and expiration date.
If you wish delivery by Federal Express (costs extra), please indicate so.

MINIX can also be ordered from the following addresses:

In England:	The MINIX Centre
		Forncett End
		Norwich
		Norfolk NR16 1HT England
		0953-89345

In Germany:	Prentice Hall
		Feldtorweg 24
		D3406 Bovenden 1
		Germany

In the Benelux: Computer Collectief
                Amstel 312-A
                1017 AP Amsterdam
                Holland
                FAX: +31 20 622-6668

In Scandinavia:	Frank O'Donell
		P.O. Box 88
		1371 Asker
		Norway

In Spain and	Deborah Worth
   Portugal:	Appartado Numero 50672
		Madrid
		Spain

In Italy:	Jim Blaho
                Piazza Santo Spirito 17
                50125 Florence
		Italy

In Greece:	Vassilis Zahos
		Kritonos 5-7
		GR 11634 Athens
		Greece

In Turkey:	Atilla Gullu
		Milli Mudafaa Cad 14/7
		Kizilay Ankara
		Turkey

In Australia:   Prentice Hall Australia,
		PO Box 151,
		Brookvale NSW 2100
		``Use our FAST PHONE SERVICE by calling Liz Guthrie SYDNEY
		  (02) 939 1333''

     If you have previously purchased MINIX from Prentice-Hall, you can get
a discount of $60, but only if you order by mail and include the label from 
the original PH boot disk (or the entire disk) with your letter.  Not valid for 
email, phone or FAX orders since you must enclose the original boot disk label
(not a photocopy).  Mail orders can be by credit card or check for $169.  You 
will be billed for tax and shipping.


11. LEGAL STATUS OF MINIX
     Although MINIX is supplied with the complete source code, it is 
copyrighted software.  It is not public domain.  It is also not like GNU.
However, the copyright owner, Prentice-Hall has granted permission to bona 
fide universities to copy the software for use in courses and in university 
research projects.  It is also permitted for MINIX owners to change the 
software to suit their needs and to distribute diff listings containing 
their changes freely.  The shrink-wrap license that comes with MINIX states
that you may legally make two backup copies of the software.  Prentice-Hall
is being much less strict than other software vendors.  Please do not abuse
this.  Companies that wish to embed MINIX in commercial systems or sell 
MINIX-based products should call (212) 753-7753 to discuss licensing terms.


12. NEWS ABOUT MINIX
     Since its introduction in January 1987, there has been a large an
active USENET newsgroup about MINIX, comp.os.minix.  It currently has
about 25,000 members.  Over 12,000 messages have been posted to this
group so far.  These messages have contained questions, bug reports,
bug fixes, new software, and diff listings to allow current users to
update to new releases for free.  It is the intention to continue this
policy into the indefinite future.  MINIX users on Bitnet can be put on
a mailing list by sending mail to: info-minix-request@udel.edu.  Various
archives store newsgroup traffic for newcomers to the newsgroup.


13. FUTURE PLANS
     The major current project is bringing MINIX into conformance with
the IEEE POSIX P1003.1 and P1003.2 standards.  This will (hopefully)
occur with V2.0, perhaps in 1992 (keep thinking "Next Year").  V2.0
will also be provided with an ANSI C compiler.  Various people are
currently working on 32-bit versions of MINIX for the 386, and
numerous other projects.  To keep up, subscribe to the comp.os.minix
newsgroup.


14. ANSI C, PASCAL, AND MODULA 2 COMPILERS FOR MINIX
     A package containing the following  compilers is available commercially:

       - ANSI C, conforming to ANS X3.159-1989

       - Modula-2, conforming to
         "Report on The Programming Language Modula-2", in "Programming in 
          Modula-2, 3rd ed." by Niklaus Wirth, Springer-verlag, 1983

        - Pascal confrming to level 1 of BSI standard BS 6192: 1982 (ISO 7185),
          with a few small exceptions

Also, a Modula-2 makefile generator and some utilities for handling 
relocatable object files are included (aal, nm, size, strip, etc).
Complete libraries for ANSI C, Pascal, and Modula 2 are provided. 

This package is available in 4 different versions:

  - 5.25" DS/DD floppies for 8088/286/386 (4 360K floppies);
  - 5.25" DS/HD floppies for 8088/286/386 (1 1.2M floppy);
  - 3.5"  DS/DD floppies for 8088/286/386 (2 720K floppies);
  - 3.5"  DS/DD floppies for Commodore Amiga or Atari ST (2 720K floppies).

Many problems with the old Minix C compiler have been resolved:
  - All versions have separate as and ld programs.  Asld is gone.
  - Floating point is now supported
  - Library is greatly improved and is ANSI conformant
  - A program aal is provided to manage libraries (ranlib-like)

The package is available from two companies:

Transmediair Products & Support B.V.		Unipress Software
Melkweg 3					2025 Lincoln Highway
3721 RG  Bilthoven				Edison, NJ 08817
The Netherlands					U.S.A.
Tel: +31 30 281820				Tel: +1 908 287 2100
FAX: +31 30 292294				FAX: +1 908 287 4929
						Email: msk@unipress.com

Transmediair charges US $200,- for the 4 floppy PC version, US $150,-
for the other versions. Unipress charges US $199,- for all versions.


15. SunOS Minix

SunOS Minix is a version of Minix that runs as a user process on Sun
3s and 4s running SunOS 4.X.  In SunOS Minix, the processor time used
is the time allocated to the SunOS process running SunOS Minix, each
file system is a SunOS file, and the console is /dev/tty of the SunOS
process.  Also, it is possible for multiple users to log into a single
instance of SunOS Minix.

SunOS Minix runs as a user process, so does not require a dedicated
machine.  Also, multiple instance of SunOS Minix can run on a single
machine simultaneously without interfering with each other.

SunOS Minix is produced by applying a set of patches to Mac Minix 1.5
(both 1.5.10.0 and 1.5.10.1 can be used) or PC Minix 1.5.  Also, Atari
Minix has been used as the base version by at least one person.  The
SunOS Minix patches are available via anonymous ftp from
csc.canterbury.ac.nz in the file SMX_2_00.TAR_Z in the UNIX directory.

Also in version 2 of SunOS Minix is our first efforts at providing support
for Solaris 2.0.

Any enquiries should be sent to paul@cosc.canterbury.ac.nz.  There is a
SunOS Minix mailing list.  Postings and admin requests for the mailing
list should be sent to the same address.


16. WHERE CAN I GET PAST POSTINGS AND PROGRAMS?
     Many sites keep archives of MINIX-related material, ranging from 
archives of articles posted to more organized repositories of programs posted
to the net.  The complete MINIX distribution is NOT (repeat NOT) available 
from any online archive.  This is not permitted.  Only the newsgroup traffic is
stored there.

List Archives:

     bugs.nosc.mil                   Current
     louie.udel.edu                  July '87 - Dec '89 (?)
     vm1.nodak.edu                   Current year

Formal Archives (MINIX sources):

	aerospace.aero.org		atari.archive.umich.edu
	bugs.nosc.mil			en.ecn.purdue.edu
	ftp.Uni-Koeln.DE		ftp.thp.uni-koeln.de
	gem.stack.urc.tue.nl		hub.cs.jmu.edu
	louie.udel.edu			minnie.cs.adfa.oz.au
	osceola.cs.ucf.edu		plains.nodak.edu
	sauna.hut.fi			sirius.ucs.adelaide.edu.au
	star.cs.vu.nl			suned.zoo.cs.yale.edu
	vm1.nodak.edu			wuarchive.wustl.edu
	ftp.vmars.tuwien.ac.at
	doc.ic.ac.uk
	NL-MUG			

16.1.  File Transfer on the Internet
     If you are on the Internet, you can get files from many places with the
file  transfer  protocol  ("FTP").  When connecting to the host system, use
the user-name "anonymous" and any password.  Most systems will ask for your
"ident"  as a password.  It is considered good etiquette to use either your
login name or mail address when asked.  Once connected, look for a "README" 
file which should give further information about the archive.

     Consult your local documentation on the use of your FTP application 
program (generally called "ftp").  Please be nice to the FTP sites by 
restricting your use to non-business hours.

The following sites provide Anonymous FTP


aerospace.aero.org	[130.221.192.10] directory pub/minix
	Last checked: 910115
	Subdir: .		afio, bcc, clam1.3, clam bins, cpp, cppmake,
				elvis1.1, estdio20a, format, fp, getty,
				shoelace1.0a

atari.archive.umich.edu	[141.211.164.8]   directory pub/minix
	Last checked: 910212
	Subdir: .		afio, bcc, clam1.3, clam bins, cpp, cppmake,
				elvis1.1, estdio20a, format, fp, getty,
				shoelace1.0a
	This site has a mail server, atari@atari.archive.umich.edu

bugs.nosc.mil		[128.49.16.1] directory pub/Minix
	Last checked: 930127
	Subdir: .		compatibility.new (Sept'90 version of the
					Minix Compatibility List),
				posixlist (volunteers posixing utilities)
				subjects.90, subjects.91, subjects.92
					(list of articles in subdirs articles.)
				subjects.ast (list of Andy Tanenbaum's
					articles in subdir articles.ast)
	Subdir: articles.91
	Subdir: articles.92	Archive of many comp.os.minix articles 1991-2
					earlier years rolled out to tape
	Subdir: articles.ast	Archive of many comp.os.minix articles by
					Andy Tanenbaum since 1987 (on tape)
	Subdir: common-pkgs	c386-4.2, cccp, clam, copt-src, dfrag,
				dict-words, egrep, elle-src, elvis, estdio21,
				karn-tcpip, less, mxkermit, mxuucp, mxuupc,
				nlmug-uucp, ns-stdio, paste, ro, small-c,
				symlinks, termios, zterm
	Subdir: d1.1-1.2	Diffs for PC-Minix1.1 -> PC-Minix1.2
	Subdir: d1.2-1.3	Diffs for PC-Minix1.2 -> PC-Minix1.3
	Subdir: evans		386-minix diffs and bcc
	Subdir: mgr		Mgr window manager, mono plus alpha color
	Subdir: pc-bin		compiler, basic, db, patch, xlisp, etc.
	Subdir: pc-pkgs		bootmenu, bootmon, cagney-mcc, db, format,
				miller-boot-hd, mullen-turboc, overby-boot,
				ps, s2asm, stevie-pc, vm, xt2_wini
	Subdir: st-pkgs		68kfloat, mdb

en.ecn.purdue.edu	[128.46.129.59] directory pub/minix
	Last checked: 910115
	Subdir: .		UU-Minix (UUCP), minixfloat (8088
					Floating Point)

ftp.Uni-Koeln.DE	[134.95.80.1] directory /thp/minix
	"echo" of ftp.thp.uni-koeln.de, for use only if that site causes
	problems

ftp.thp.uni-koeln.de	[134.95.64.1] directory minix
	Last checked: 910218
	Subdir: adelaide	Mirror copies of various minix ftp sites
	Subdir: ccadfa		[the directory structure used is roughly the
	Subdir: dsrgsun		same as on the original hosts]
	Subdir: dynamo
	Subdir: jmu
	Subdir: plains
	Subdir: sky-luke
	Subdir: star
	Subdir: suphys
	Subdir: tuwien
	Subdir: uit
	
	Subdir: gnu		bash, cv68, gcompile, gnu, kdiffs
	Subdir: gnu/m68k	binaries and partly diffs of new ports of
				GNU sw to the m68k (i.e. atari, amiga, mac)
				[This directory will be extended to hold
				all the diffs sometime in the future.]
	Subdir: minix		PC and ST Minix upgrade kits and official
				patches 
	Subdir: net		Various stuff collected from c.o.m.
				postings: 
				cv68-v3, cc, clam-1.4.1, disem, fad-ld,
				fp-st, mail-1.8, mroff, news, nlmug,
				sysupd1, umail-3.45, vc-8, wmail-3.63+

gem.stack.urc.tue.nl	[131.155.2.59]
	Last checked: Never (net posting)
	Subdir: pub/aminix1.5.10.2	AmigaMINIX 1.5.10.1 -> 1.5.10.2

hub.cs.jmu.edu		[134.126.20.10] directory pub/minix
	Last checked: 910115
	Subdir: .		hd_minix (MINIX-PC hd-boot package)

louie.udel.edu		[128.175.1.3, 128.175.2.33] directory info-minix
	Last checked: 910212
	Subdir: .		comp.os.minix archives (July '87 - Dec '89)

minnie.cs.adfa.oz.au	[131.236.20.70]
	Last checked: 920422
	Subdir: .		Archive of comp.os.minix postings
				(Nov '89 to now!),
				The Minix Compatibility List, Infosheet
				and FAQsheet
	Subdir: check		List of subject lines from comp.os.minix
	Subdir: clam		The official residence of the clam shell
	Subdir: demodisk	Demodisks for PC, Amiga and Atari
	Subdir: manuals		The online manuals

osceola.cs.ucf.edu	[???]
	Last checked: never
	Subdir: pub/minix	MacMinix patches

plains.nodak.edu	[134.129.111.64] directory pub/Minix
	Last checked: 910115
	Subdir: .		compress, README, ls-RC
	Subdir: all.contrib	clunie-yacc, check_crc, cvw-cc, elle41,
				elvis1.4, getty, mail, tar_fix, u-mail,
				uucp, w-mail, xargs
	Subdir: doc		Compatibility (Aug'90 version of the
					Minix Compatibility List),
				Copyright-info, Infosheet, PC-CC-comments,
				PC-Compilers, Questions, RefMan, ST-Compilers,
				Upgrading, mailaddr, posix.2,
				remote_file_server
	Subdir: ftp_contrib	nlmug.index
	Subdir: mugnet.sources	Index + the sources
	Subdir: oz		(echo of sirius.ucs.adelaide.edu.au: local)
				GlenO.tute, bcc, clam1.3, clam bins, cpp,
				cppmake, db, dirent-hack, duck, elvis1.1,
				estdio20a, estdio21, extra, format, fp,
				incl_sys_13, ksh_patches, lmakefiles,
				ls, mcc, pam, s2asm, shoelace10a, uname,
				vc-ph1.5
	Subdir: pc		Bnews, afio, byacc, c, clock, comic1.0,
				conv, crypt, dosread, file, format,
				lharc-1.2, multiboot, nrchbar, p, ps,
				s2asm, shared-text, symlinks, talk,
				unzip30, uucp-util, uucp, vn, vt_con,
				xt2_wini
	Subdir: st.contrib	CC-68K, Infocom, bugs
	Subdir: st.contrib/pkgs	chfont, df, flex, fonts, format, ld, mdb,
				vdi, zoo
	Subdir: st.contrib/x	hcj, speed, supra
	Subdir: uk		16bcompress, binutils, emacs, emacsdif,
				gasdiff, gcc
	Subdir: updates		Updates for Minix to 1.5.10. Also includes
					bug fixes for Atari, Amiga and
					Macintosh versions

sauna.hut.fi		[130.233.192.1, 130.233.200.1] directory pub/minix
	Last checked: 910212
	Subdir: .		Minix exercises, minix-13d-symlink,
				minix-13d-vga

sirius.ucs.adelaide.edu.au	[129.127.40.3] directory pub/minix
	Last checked: 910115
	Subdir: .		FETCH_ME_FIRST, README_386, ls-l.Z
	Subdir: adm/upgrade_kit	DIRECTIONS, PH_1.5_Intro, things_to_doc
	Subdir: local		(Echoed on plains.nodak.edu pub/Minix/oz)
				GlenO.tute, bcc, clam1.3, clam bins, cpp,
				cppmake, db, dirent-hack, duck, elvis1.1,
				estdio20a, estdio21, extra, format, fp,
				incl_sys_13, ksh_patches, lmakefiles,
				ls, mcc, pam, s2asm, shoelace10a, uname,
				vc-ph1.5
	Subdir: upgrades	Upgrades for Minix to 1.5.10.

star.cs.vu.nl		[192.31.231.42] directory pub/sreiz/minix
	Last checked: 910212
	Subdir: .		Patches to AmigaMinix to boot off hard disk

suned.zoo.cs.yale.edu	[128.36.21.1] directory src/bin/zip
	Last checked: 910212
	Subdir: .		Zip for Minix

vm1.nodak.edu		[134.129.111.1] directory minix-l
	Last checked: 910212
	Subdir: .		comp.os.minix archives (current and past year)
	This site has a mail server, listserv@vm1.nodak.edu

wuarchive.wustl.edu	[128.252.135.4] directory mirrors/misc/minix
	Last checked: 910212
	Subdir: .		Diffs for PC-Minix1.1 -> PC-Minix1.2

ftp.vmars.tuwien.ac.at [128.130.39.19] directory pub/minix
        Last checked: 910213
        Subdir: hp              Patches to keyboard for German characters
        Subdir: net             bcc, c386, c68, cpp, cppmake, less,
                                shoelace10a

16.2. Mail Servers
   Some archive sites provide access to their archives with a server program
that responds to commands mailed to it.

16.2.1.  doc.ic.ac.uk
     An archive of the worthwhile postings from the comp.os.minix newsgroup is
available from uk.ac.ic.doc either via mail or by GUEST niftp.  For details
about how to access this service send a mail message with NO Subject: field
to:

     info-server@uk.ac.ic.doc

and a message body of:

     request catalogue
     topic minix
     request end

This will mail you back details of the various ways to obtain the files.
This service is only available inside the UK. We have no funds to send
such mail internationally.

This archive service is run by Lee McLoughlin.
Janet: lmcl@uk.ac.ukc, lmjm@uk.ac.ic.doc
DARPA: lmjm%uk.ac.ic.doc@ucl-cs
Uucp:  lmjm@icdoc.UUCP, ukc!icdoc!lmjm


16.2.2.  vm1.nodak.edu
     North Dakota State University is the host site for distribution of the
info-minix mailing list (also known as minix-l), which is bidirectionally
gatewayed to the Usenet group Comp.os.minix. We maintain archives of all
list traffic from within the past year or so (depending on space availability).
Archives are available via Anonymous FTP on the Internet, and  LIST-SERV 
file requests from other networks.

Our server is:

     Internet: listserv@vm1.NoDak.EDU [134.129.111.1]
     Bitnet:   listserv@ndsuvm1
     UUCP:     uunet!vm1.nodak.edu!listserv

If you do not have Internet access, you may request files be sent to you by
our LISTSERV file server by sending it commands in the body of a mail message.

To obtain a list of the files, the INDEX command is used:

     INDEX MINIX-L


The GET command will instruct LISTSERV to send you a file, such as:

     get minix-l LOG9005A minix-l

to get the file "MINIX-L LOG9005A" from the directory "MINIX-L".  The
filename tells what year, month, and week it is from:

     MINIX-L LOGyymmw

where "yy" is the year, "mm" is the numeric month and "w" is an  alphabetic
character from A to E indicating what week of the month.  Several months of
log files are kept on-line, the number depending on disk space  availability.

     Due to the 80-character per line (punched card) limit on Bitnet mail, many
of the files will be shipped using an encoding scheme that allows logical
lines to be split up into many physical lines. On Bitnet, this is normally
the IBM "DISK DUMP" or "NETDATA" format, and for ther networks it is "List-
serv Punch".

     Listserv Punch was designed by Listserv's author and is designed to send
files with lines longer than 80 characters thru the Bitnet gateways. A
special program to decode the file once it has arrived at your site.
Information on obtaining a program to decode listserv punch format is sent
with each encoded file.

     If you would rather have a file sent to you uuencoded, you may specify 
that in your GET command:

             get minix info minix f=uuencode

please note that the file, once decoded, will be in EBCDIC!


SEARCHING THE MAILING LIST LOGS WITH LISTSERV

     If you are looking for a specific article, or set of articles, you can
perform  searches  on this directory using the Database functions of Listserv.
For example, to obtain a "Subject" index of the MINIX-L archives, send the
listserv a file or mail with the following "job" in the message body:

     //      JOB  Echo=No
     Database Search DD=Rules
     //Rules DD   *
     search * in minix-l since 90/04/01
     index

and you will be sent a file containing all of the 'Subject:' lines sent to
the mailing list since December 1, 1989. If you wish to request one or
more items, replace the 'index' line in the above job with "print [ref-num]", 
where "refnum" is the reference number from the index listing.  Documentation
on this and other database functions is  available  by  sending the command 
"INFO DATABASE" to the listserv.

     To obtain more information on the listserv, send the command:

     INFO ?

and you will be enlightened with a list of available documentation on using
LISTSERV.

     This archive is automatically maintained by the list server. If you have
questions, contact Glen Overby, <minix@plains.nodak.edu>, at North Dakota
State University, Fargo, ND USA (46 52 N / 96 48 W city)

16.3.  Publicly accessable Bulletin Boards
     For people without a network connection, there are PC-based Electronic
Bulletin  Board  Systems  (BBS)  that  has  carry various MINIX topics.

16.3.1 NLMUG-ONLINE ("minixug"), (02522) 18363 in Holland.
      300,1200,2400 baud, 8,n,1.
 
      No registration required, no donations accepted.
      Everyone gets 60 minutes/day.
      No upload/download ratios (but don't be a jerk!)

This BBS is run by Fred van Kempen <waltje@minixug.mugnet.org>

16.3.2 The Picayune (milo.ndsu.nodaak.edu) in North Dakota, USA

	- validation takes a day or so
	- no download limits
	- read access to Usenet News
	- access to FTP area on plains.nodak.edu, wuarchive.wustl.edu

	701-232-2573	3/12/24		701-237-7790	3/12/24
	701-237-4281    9600+ V.42	701-237-4752    9600+ V.42

This system is run on Interactive 386/ix by the NDSU Student Chapter of the ACM


17.  MINIX Compatibility List  (1 August 1990)

Introduction
============

This is a list of machines that MINIX has reportedly run on.  An updated
version of this list will be posted when a sufficient number of entries
have been added or changed or when requested.

PC MINIX
========
Version 1.0 is the version in Tanenbaum's book, "Operating Systems: Design
and Implementation".  Version 1.1 is the initially released version and
the differences between it and 1.0 are minor.  Version 1.2 was released
next and followed a year later by 1.3.  Version 1.4 was only released to
Usenet.  Currently, Prentice-Hall ships version 1.5 (known as 1.5.10 to
Usenet).

Version 2.0 is in the planning stages and should be available late "next
year".

Only compatibility with PC MINIX 1.3 and greater is now reported in this
list.

ST MINIX
========
Version 1.1 is the currently available version and is currently
available from Prentice-Hall.  Version 1.5 exists on the Net, but
is not yet available from Prentice-Hall.

Explanation of List
===================

Each list is sorted in alphabetic order.  Each line is an entry that
represents a portion of a report received by the editor.  Each entry is a
report of how well a specific version of Minix worked on a specific
machine or other piece of hardware.  Each entry appears as a single line
in the following format:

------------------------- ---- - -------- -------- -------------------------
1111111111111111111111111 2223 4 55555555 66666666 7777777777777777777777777

where each field is defined as:

  1 - Hardware type.  The type of hardware on which MINIX was tested.
  2 - MINIX Version.  The version of MINIX tested on the hardware.
                      x.y indicates that the version is unknown.
  3 - Subversion.     The subversion of the above MINIX version. E.g., the
      subversion of 1.5.0 is 0.  If the subversion is not known, an 'x' will
      be found in the field.
  4 - Report Status.  This will be Y (Yes, MINIX worked on the version),
      N (No, MINIX did not work on this version) or P (Yes, MINIX worked
      on the version, but a patch was required).
  5 - Date of Report.  When the report was received.
  6 - Report Submitter.  This is a reference to the individual who
      submitted the report.  A list of submitters is included with the
      report.
  7 - Additional Comments.  Additional, useful comments added by the
      submitter.

There are two major sections at this time.  The first is PC MINIX 1.x and
the other is ST MINIX 1.x.  Other sections may be added as needed (e.g.,
an AMIGA MINIX or PC MINIX 2.x section).

At this time, within each section are two subsections.  The first is Basic
Operation (whether MINIX runs on the machine at all) and Optional Hardware
(whether it works with specific added hardware, such as Disk Controllers
and Video Cards).  Other subsections may be added as needed.

The Compatibility List
======================

PC MINIX 1.x
============

Basic Operation
----- ---------
AMSTRAD PC1512            1.3x Y 07/10/89 regisr   hd2 does not work
AST 286                   1.3x Y 02/25/89 dlawyer
AST Premium 386-16        1.4x Y 09/15/89 al
AT&T 6312                 1.3x Y 03/02/90 timborn
AT&T 6312                 1.50 Y 03/02/90 timborn
AT&T 6312                 1.53 Y 03/02/90 timborn
Blue Chip PC              1.3x Y 02/21/89 pa1343   Parallel port didn't work
Bull Micral System 200    1.3x Y 01/24/90 higgs
Club American 386/33-C1   1.3x Y 01/03/90 anderson
Commodore PC 30 III       1.3x Y 09/22/89 cbo
Commodore PC-60           1.4a Y 10/02/89 ast
Compaq 386                1.3x Y 02/22/89 japplega
Compaq Deskpro            1.3x Y 03/06/90 HIGGINS
CompuAdd 286/12           1.3x P 02/21/89 MICHAELB
Computer Prod. United 286 1.3x Y 01/22/90 gnf3e
Computer Prod. United 286 1.5x Y 01/22/90 gnf3e
DTK/ERSO XT Turbo mtherbd 1.3x P 05/29/89 lyle     Changed xt_wini.c, floppy.c
DTK 286 mtherbd (@10MHz)  1.3x Y 03/02/90 MC02015  Must remove bus mouse
Epson AX3                 1.4a Y 10/02/89 ast      HD failed
Everex 1800B (AT clone)   1.3x Y 01/03/90 anderson HD works but flakey
Everex Apex               1.3x Y 03/02/90 MC02015
Freecom AT 386/20         1.4a Y 10/19/89 waltje
Freecom AT 386/25         1.4a Y 10/19/89 waltje
Freecom AT 386/33         1.4a Y 10/19/89 waltje
Gateway 2000 286 (@16MHz) 1.3x Y 08/10/89 tbunnell
Gateway 2000 286 (@16MHz) 1.4x Y 08/10/89 tbunnell
Gateway 2000 286 (@16MHz) 1.4  Y 08/10/89 tbunnell Protected Mode Minix
HP Vectra CS              1.3x P 01/02/90 lammert  Multiple patches
IBM PC/AT @6MHz           1.3x P 09/22/89 al@escom using Leisner's at_wini
IBM PS/2 Model 80         1.3x P 05/29/89 ackerman
JDR Microdevices Turbo XT 1.3x Y 05/29/89 jds
Laser XT/2                1.3x Y 01/11/90 hansvoss program switched CPU-speed
Laser 386/20              1.4a Y 10/02/89 ast
Laser 386/25              1.4a Y 10/02/89 ast
Leading Edge Model D      1.3x Y 03/03/89 supple   Changed to work w/30M HD
Leading Edge Model D2     1.3x Y 02/22/89 hedrick
Micro Generation 386      1.3x Y 10/30/89 surry
Micro Generation 386      1.4x Y 10/30/89 surry
NEC Powermate 386         1.3x Y 02/22/89 japplega
Olivetti M290             1.3x Y 07/10/89 wezel
Proteus Tech. Model 1800e 1.3x Y 09/13/89 lance    HD problems
Sun IPC                   1.3x Y 02/22/89 paula    Screen shifts when scroll
Tandon 386/16             1.4a Y 10/02/89 ast
Tandy 1000                1.3x P 02/22/89 japplega
Tandy 1000A               1.3x P 02/22/89 donw
Tandy 1000A               1.3x P 02/22/89 japplega
Tandy 1000SX              1.3x P 02/22/89 japplega
Tandy 3000                1.3x Y 01/31/90 umbaugh  Load root fs w/"u" at boot
Tandy 3000HL              1.3x Y 01/31/90 umbaugh  Load root fs w/"u" at boot
Tandy 3000NL              1.3x Y 01/31/90 umbaugh  Load root fs w/"u" at boot
Tandy 4000                1.3x Y 01/31/90 umbaugh  Load root fs w/"u" at boot
TI Business Pro           1.3x N 02/22/89 japplega
Toshiba T1100+            1.3x Y 05/29/89 jds
Toshiba 5100              1.3x Y 05/02/89 nfs      HD patch at bugs.nosc.mil
Toshiba 5100              1.50 Y 01/31/90 nfs
Tulip 386/25              1.4a Y 10/02/89 ast
Unisys PW2 850            1.3x Y 05/01/89 allan
Win Labs Turbo-AT         1.3x P 01/22/90 gnf3e
Win Labs AT/386           1.3x P 01/22/90 gnf3e
Wyse 386/16               1.4a Y 10/02/89 ast
Zenith 159                1.3x Y 08/23/89 dirk     HD problems
Zenith Z183               1.3x Y 02/22/89 japplega
Zenith Z248               1.4a Y 10/02/89 ast
Zenith Turbosport 386-12  1.4x Y 10/20/89 al

Optional Hardware
-------- --------
AST EGA, color monitor    1.3x Y 01/28/89 dlawyer
Casper EGA, color monitor 1.3x Y 10/30/89 surry
Casper EGA, color monitor 1.4x Y 10/30/89 surry
CMS Hard Card (20 Meg)    1.3x Y 02/21/89 pa1343
Epson LQ5000              1.3x Y 01/31/90 umbaugh  Not tested extensively.
Everex Micro Enhancer     1.3x Y 10/30/89 surry    Vid card ok w/emulation off
Everex Micro Enhancer     1.4x Y 10/30/89 surry    Vid card ok w/emulation off
IBM PS/2 Mod 50 HD        1.3x N 01/28/89 allbery  Controller incompatible
Panasonic 1091 printer    1.3x N 01/28/89 mullen   Loses chars
Persyst BOB               1.3x Y 01/28/89 mullen
Printers (various)        1.3x N 01/28/89 various  Characters are dropped
Seagate ST4096 80 Meg     1.3x Y 10/30/89 surry    Use at_wini.c as wini.c
Seagate ST4096 80 Meg     1.4x Y 10/30/89 surry    Use at_wini.c as wini.c
Toshiba MK134 HD          1.3x Y 01/13/90 bc
WD1006V-SR2 HD Controller 1.3x Y 01/13/90 bc


ST MINIX 1.x
============

Basic Operation
----- ---------
1040ST (old TOS)          1.1 Y 05/31/89 uli
1040ST                    1.1 Y 06/02/89 rcd
Mega ST4                  1.1 Y 05/31/89 uli      With or without Blitter

Optional Hardware
-------- --------
Adaptec MFM controller    1.1 Y 06/02/89 rcd
BMS 100 HD                1.1 Y 01/28/89 wheels   fine
BMS Host Adapter          1.1 Y 06/02/89 rcd
ICD Host Adapter          x.x Y 08/10/89 diana    use it with ST277N SCSI
Megafile 60               1.1 Y 05/31/89 uli
Miniscribe 3425           1.1 Y 05/31/89 rcd
SH 204                    1.1 Y 05/31/89 uli
SH 205                    1.1 Y 05/31/89 uli
SH 205 (with 40M NEC HD)  1.1 Y 05/31/89 uli
Seagate ST225 HD          1.1 Y 06/02/89 rcd
Supra HD                  1.1 ? 01/28/89 various  some can, some can't


SUBMITTERS
==========
[ackerman]      uunet!uvm-gen!griffin!ackerman
[al]            al@escom.com
[allan]         allan@esprit.UUCP
[allbery]       allbery%ncoast@hal.cwru.edu
[anderson]      anderson@macc.wisc.edu
[ast]           ast@cs.vu.nl
[bc]            bc@uxa.cso.uiuc.edu
[cbo]           cbo@cs.vu.nl
[diana]         eichert%uservx.decnet@ddnvx2.afwl.af.mil
[dirk]          herrhoyman@uwecvaxc.bitnet
[donw]          donw@rwing.UUCP
[gnf3e]         gnf3e@virginia.edu
[hansvoss]      hhinsi!v882087@relay.EU.net
[hedrick]       hedrick@geneva.rutgers.edu
[higgs]         higgs_m@p1.lancsp.ac.uk
[HIGGINS]       HIGGINS@LISO1.dnet.ge.com
[japplega]      japplega@csm9a.colorado.edu
[jds]           jds@mimsy.umd.edu
[lammert]       lammert@gufalet.rug.nl
[lancer]        lancer@gacvax1.bitnet
[lyle]          lyle@cse.ogc.edu
[mark-gei]      Mark-Geisert@ladc.bull.com
[MC02015]       MC02015%SWTEXAS.BITNET
[MICHAELB]      MICHAELB@vms.macc.wisc.edu
[mullen]        mullen@sdsu.UUCP
[ncoverby]      ncoverby@ndsuvax.UUCP
[nfs]           nfs@princeton.edu
[pa1343]        pa1343@sdcc15.ucsd.edu
[paula]         paula@atc.boeing.com
[rcd]           rcd@mtqua.att.com
[regisr]        felix!well!regisr
[supple]        ecn.purdue.edu
[surry]         surry@hq.af.mil
[tbunnell]      bunnell@henry.asel.udel.edu
[timborn]       timborn@timborn@ATT.COM
[uli]           uli%analyt.chemie.uni-bochum.dbp.de
[umbaugh]       umbaugh@evax.arl.utexas.edu
[waltje]        minixug!waltje@kyber.UUCP
[wezel]         wezel@bio.vu.nl
[wheels]        wheels@mks.UUCP


